<?php
/*
Plugin Name: SCL TodaysDate Widget
Plugin URI: http://systemcore.co.uk/
Description: Creates a widget to show today's date.
Author: Al Cain
Version: 1.0
Author URI: http://systemcore.co.uk/
*/
 
class SCL_TodaysDate extends WP_Widget {
 
	// The widget construct. Mumbo-jumbo that loads our code.
	function SCL_TodaysDate() {
		$widget_ops = array( 'classname' => 'widget_SCL_TodaysDate', 'description' => __( "A  Widget to display the date today" ) );
		$this->WP_Widget('SCL_TodaysDate', __('SCL_TodaysDate'), $widget_ops);
	} // End function WP_Widget_BareBones
 
	// This code displays the widget on the screen.
	function widget($args, $instance) {
		extract($args);
		echo $before_widget;
		if(!empty($instance['title'])) { 
			echo $before_title . $instance['title'] . $after_title; 
		}

echo '<div id="scl-todaysdate-widget-container">' . "\n";
	echo date('l jS F Y') . "\n";
if (!empty($instance['extra-info'])) echo '<br />' . $instance['extra-info'] . "\n";
echo '</div> <!-- #scl-todaysdate-widget-container -->' . "\n";
		
		echo $after_widget;
	} // End function widget.
 
	// Updates the settings.
	function update($new_instance, $old_instance) {
		return $new_instance;
	} // End function update
 
	// The admin form.
	function form($instance) {		
		echo '<div id="scl-todaysdate-admin-panel">';
		echo '<label for="' . $this->get_field_id("title") .'">SCL TodaysDate Title:</label>';
		echo '<input type="text" class="widefat" ';
		echo 'name="' . $this->get_field_name("title") . '" '; 
		echo 'id="' . $this->get_field_id("title") . '" ';
		echo 'value="' . $instance["title"] . '" />';

		echo '<label for="' . $this->get_field_id("extra-info") .'">Extra info here::</label>';
		echo '<input type="text" class="widefat" ';
		echo 'name="' . $this->get_field_name("extra-info") . '" '; 
		echo 'id="' . $this->get_field_id("extra-info") . '" ';
		echo 'value="' . $instance["extra-info"] . '" />';

		echo '<p>This widget will display todays date.</p>';
		echo '</div>';
	} // end function form
 
} // end class WP_Widget_BareBones
 
// Register the widget.
add_action('widgets_init', create_function('', 'return register_widget("SCL_TodaysDate");'));
?>